Upstream information

CVE-2018-7738 at MITRE

Description

In util-linux before 2.32-rc1, bash-completion/umount allows local users to gain privileges by embedding shell commands in a mountpoint name, which is mishandled during a umount command (within Bash) by a different user, as demonstrated by logging in as root and entering umount followed by a tab character for autocompletion.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 8.2
Vector AV:L/AC:L/PR:L/UI:R/S:C/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction Required
Scope Changed
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1080740 [RESOLVED / FIXED], 1084300 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform ALL
  • libblkid1 >= 2.29.2-3.8.1
  • libfdisk1 >= 2.29.2-3.8.1
  • libmount1 >= 2.29.2-3.8.1
  • libsmartcols1 >= 2.29.2-3.8.1
  • libuuid1 >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
  • util-linux-systemd >= 2.29.2-3.8.1
Patchnames:
SUSE-CAASP-ALL-2018-1400
SUSE Linux Enterprise Desktop 12 SP3
  • libblkid1 >= 2.29.2-3.8.1
  • libblkid1-32bit >= 2.29.2-3.8.1
  • libfdisk1 >= 2.29.2-3.8.1
  • libmount1 >= 2.29.2-3.8.1
  • libmount1-32bit >= 2.29.2-3.8.1
  • libsmartcols1 >= 2.29.2-3.8.1
  • libuuid-devel >= 2.29.2-3.8.1
  • libuuid1 >= 2.29.2-3.8.1
  • libuuid1-32bit >= 2.29.2-3.8.1
  • python-libmount >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
  • util-linux-lang >= 2.29.2-3.8.1
  • util-linux-systemd >= 2.29.2-3.8.1
  • uuidd >= 2.29.2-3.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1400
SUSE Linux Enterprise Module for Basesystem 15
  • libblkid-devel >= 2.31.1-9.3.1
  • libblkid-devel-static >= 2.31.1-9.3.1
  • libblkid1 >= 2.31.1-9.3.1
  • libblkid1-32bit >= 2.31.1-9.3.1
  • libfdisk-devel >= 2.31.1-9.3.1
  • libfdisk1 >= 2.31.1-9.3.1
  • libmount-devel >= 2.31.1-9.3.1
  • libmount1 >= 2.31.1-9.3.1
  • libmount1-32bit >= 2.31.1-9.3.1
  • libsmartcols-devel >= 2.31.1-9.3.1
  • libsmartcols1 >= 2.31.1-9.3.1
  • libuuid-devel >= 2.31.1-9.3.1
  • libuuid-devel-static >= 2.31.1-9.3.1
  • libuuid1 >= 2.31.1-9.3.1
  • libuuid1-32bit >= 2.31.1-9.3.1
  • util-linux >= 2.31.1-9.3.1
  • util-linux-lang >= 2.31.1-9.3.1
  • util-linux-systemd >= 2.31.1-9.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1397
SUSE Linux Enterprise Module for Server Applications 15
  • util-linux-systemd >= 2.31.1-9.3.1
  • uuidd >= 2.31.1-9.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-1397
SUSE Linux Enterprise Server 12 SP3
  • libblkid1 >= 2.29.2-3.8.1
  • libblkid1-32bit >= 2.29.2-3.8.1
  • libfdisk1 >= 2.29.2-3.8.1
  • libmount1 >= 2.29.2-3.8.1
  • libmount1-32bit >= 2.29.2-3.8.1
  • libsmartcols1 >= 2.29.2-3.8.1
  • libuuid1 >= 2.29.2-3.8.1
  • libuuid1-32bit >= 2.29.2-3.8.1
  • python-libmount >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
  • util-linux-lang >= 2.29.2-3.8.1
  • util-linux-systemd >= 2.29.2-3.8.1
  • uuidd >= 2.29.2-3.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1400
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libblkid1 >= 2.29.2-3.8.1
  • libblkid1-32bit >= 2.29.2-3.8.1
  • libfdisk1 >= 2.29.2-3.8.1
  • libmount1 >= 2.29.2-3.8.1
  • libmount1-32bit >= 2.29.2-3.8.1
  • libsmartcols1 >= 2.29.2-3.8.1
  • libuuid1 >= 2.29.2-3.8.1
  • libuuid1-32bit >= 2.29.2-3.8.1
  • python-libmount >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
  • util-linux-lang >= 2.29.2-3.8.1
  • util-linux-systemd >= 2.29.2-3.8.1
  • uuidd >= 2.29.2-3.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1400
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libblkid-devel >= 2.29.2-3.8.1
  • libmount-devel >= 2.29.2-3.8.1
  • libsmartcols-devel >= 2.29.2-3.8.1
  • libuuid-devel >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1400
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libuuid-devel >= 2.29.2-3.8.1
  • util-linux >= 2.29.2-3.8.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-1400
openSUSE Leap 15.0
  • libblkid-devel >= 2.31.1-lp150.7.6.1
  • libblkid-devel-32bit >= 2.31.1-lp150.7.6.1
  • libblkid-devel-static >= 2.31.1-lp150.7.6.1
  • libblkid1 >= 2.31.1-lp150.7.6.1
  • libblkid1-32bit >= 2.31.1-lp150.7.6.1
  • libblkid1-32bit-debuginfo >= 2.31.1-lp150.7.6.1
  • libblkid1-debuginfo >= 2.31.1-lp150.7.6.1
  • libfdisk-devel >= 2.31.1-lp150.7.6.1
  • libfdisk-devel-static >= 2.31.1-lp150.7.6.1
  • libfdisk1 >= 2.31.1-lp150.7.6.1
  • libfdisk1-debuginfo >= 2.31.1-lp150.7.6.1
  • libmount-devel >= 2.31.1-lp150.7.6.1
  • libmount-devel-32bit >= 2.31.1-lp150.7.6.1
  • libmount-devel-static >= 2.31.1-lp150.7.6.1
  • libmount1 >= 2.31.1-lp150.7.6.1
  • libmount1-32bit >= 2.31.1-lp150.7.6.1
  • libmount1-32bit-debuginfo >= 2.31.1-lp150.7.6.1
  • libmount1-debuginfo >= 2.31.1-lp150.7.6.1
  • libsmartcols-devel >= 2.31.1-lp150.7.6.1
  • libsmartcols-devel-static >= 2.31.1-lp150.7.6.1
  • libsmartcols1 >= 2.31.1-lp150.7.6.1
  • libsmartcols1-debuginfo >= 2.31.1-lp150.7.6.1
  • libuuid-devel >= 2.31.1-lp150.7.6.1
  • libuuid-devel-32bit >= 2.31.1-lp150.7.6.1
  • libuuid-devel-static >= 2.31.1-lp150.7.6.1
  • libuuid1 >= 2.31.1-lp150.7.6.1
  • libuuid1-32bit >= 2.31.1-lp150.7.6.1
  • libuuid1-32bit-debuginfo >= 2.31.1-lp150.7.6.1
  • libuuid1-debuginfo >= 2.31.1-lp150.7.6.1
  • python-libmount >= 2.31.1-lp150.7.6.1
  • python-libmount-debuginfo >= 2.31.1-lp150.7.6.1
  • python-libmount-debugsource >= 2.31.1-lp150.7.6.1
  • util-linux >= 2.31.1-lp150.7.6.1
  • util-linux-debuginfo >= 2.31.1-lp150.7.6.1
  • util-linux-debugsource >= 2.31.1-lp150.7.6.1
  • util-linux-lang >= 2.31.1-lp150.7.6.1
  • util-linux-systemd >= 2.31.1-lp150.7.6.1
  • util-linux-systemd-debuginfo >= 2.31.1-lp150.7.6.1
  • util-linux-systemd-debugsource >= 2.31.1-lp150.7.6.1
  • uuidd >= 2.31.1-lp150.7.6.1
  • uuidd-debuginfo >= 2.31.1-lp150.7.6.1
Patchnames:
openSUSE-2018-811
openSUSE Leap 42.3
  • libblkid-devel >= 2.29.2-8.1
  • libblkid-devel-32bit >= 2.29.2-8.1
  • libblkid-devel-static >= 2.29.2-8.1
  • libblkid1 >= 2.29.2-8.1
  • libblkid1-32bit >= 2.29.2-8.1
  • libblkid1-debuginfo >= 2.29.2-8.1
  • libblkid1-debuginfo-32bit >= 2.29.2-8.1
  • libfdisk-devel >= 2.29.2-8.1
  • libfdisk-devel-static >= 2.29.2-8.1
  • libfdisk1 >= 2.29.2-8.1
  • libfdisk1-debuginfo >= 2.29.2-8.1
  • libmount-devel >= 2.29.2-8.1
  • libmount-devel-32bit >= 2.29.2-8.1
  • libmount-devel-static >= 2.29.2-8.1
  • libmount1 >= 2.29.2-8.1
  • libmount1-32bit >= 2.29.2-8.1
  • libmount1-debuginfo >= 2.29.2-8.1
  • libmount1-debuginfo-32bit >= 2.29.2-8.1
  • libsmartcols-devel >= 2.29.2-8.1
  • libsmartcols-devel-static >= 2.29.2-8.1
  • libsmartcols1 >= 2.29.2-8.1
  • libsmartcols1-debuginfo >= 2.29.2-8.1
  • libuuid-devel >= 2.29.2-8.1
  • libuuid-devel-32bit >= 2.29.2-8.1
  • libuuid-devel-static >= 2.29.2-8.1
  • libuuid1 >= 2.29.2-8.1
  • libuuid1-32bit >= 2.29.2-8.1
  • libuuid1-debuginfo >= 2.29.2-8.1
  • libuuid1-debuginfo-32bit >= 2.29.2-8.1
  • python-libmount >= 2.29.2-8.1
  • python-libmount-debuginfo >= 2.29.2-8.1
  • python-libmount-debugsource >= 2.29.2-8.1
  • util-linux >= 2.29.2-8.1
  • util-linux-debuginfo >= 2.29.2-8.1
  • util-linux-debugsource >= 2.29.2-8.1
  • util-linux-lang >= 2.29.2-8.1
  • util-linux-systemd >= 2.29.2-8.1
  • util-linux-systemd-debuginfo >= 2.29.2-8.1
  • util-linux-systemd-debugsource >= 2.29.2-8.1
  • uuidd >= 2.29.2-8.1
  • uuidd-debuginfo >= 2.29.2-8.1
Patchnames:
openSUSE-2018-805


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 util-linux Released
CaaS Platform 2.0 util-linux Released
OpenStack Cloud Magnum Orchestration 7.0 util-linux In progress
SUSE Linux Enterprise Desktop 12 SP2 util-linux Unsupported
SUSE Linux Enterprise Desktop 12 SP3 util-linux Released
SUSE Linux Enterprise Module for Basesystem 15 GA util-linux Released
SUSE Linux Enterprise SDK 11 SP4 util-linux Not affected
SUSE Linux Enterprise SDK 12 SP2 util-linux Unsupported
SUSE Linux Enterprise SDK 12 SP3 util-linux Released
SUSE Linux Enterprise Server 11 SP3 LTSS util-linux Not affected
SUSE Linux Enterprise Server 11 SP4 util-linux Not affected
SUSE Linux Enterprise Server 12 GA LTSS util-linux Affected
SUSE Linux Enterprise Server 12 SP1 LTSS util-linux Affected
SUSE Linux Enterprise Server 12 SP2 util-linux Unsupported
SUSE Linux Enterprise Server 12 SP3 util-linux Released
SUSE Linux Enterprise Workstation Extension 12 SP2 util-linux Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP3 util-linux Released
SUSE Studio Onsite 1.3 util-linux Not affected